View Issue Details

IDProjectCategoryView StatusLast Update
0002061NoesisGUIUnity3Dpublic2021-07-21 20:10
Reporterstonstad Assigned Tosfernandez  
PrioritynormalSeveritycrashReproducibilitysometimes
Status feedbackResolutionreopened 
Product Version3.0.12 
Target Version3.1Fixed in Version3.1 
Summary0002061: Editor Crash, Noesis_View_Update
DescriptionStack trace:
0x00007ffdb890c644 (Noesis) Noesis_View_Update
0x00007ffdb890cb84 (Noesis) Noesis_View_Update
0x00007ffdb8918616 (Noesis) Noesis_ClearExtendTypes
0x0000025e0428abee (Mono JIT Code) (wrapper managed-to-native) Noesis.Extend:Noesis_ClearExtendTypes ()
0x0000025e0427d6d3 (Mono JIT Code) [Extend.cs:98] Noesis.Extend:Shutdown ()
0x0000025e0427c333 (Mono JIT Code) [Extend.cs:37] Noesis.Extend:OnDomainUnload (object,System.EventArgs)

Unity 2021.1.13f1.
Noesis GUI 3.0.12.
Steps To ReproduceI received this fatal exception in the Unity editor after playback was stopped. This is the first time I have seen this since upgrading to 3.0.12. I'll update this ticket if it continues or if I I develop reproduction steps.
TagsNo tags attached.
PlatformAny

Activities

stonstad

stonstad

2021-07-15 18:21

reporter  

Editor.log (334,169 bytes)
crash.dmp (1,648,747 bytes)
stonstad

stonstad

2021-07-15 19:52

reporter   ~0007325

Last edited: 2021-07-15 21:26

Confirmed it is happening randomly, sometimes every play/stop cycle. At other times, it is stable for 30+ minutes. *updated

sfernandez

sfernandez

2021-07-16 10:11

manager   ~0007326

Can you share the project to debug it? It will be faster to track down the source of the problem.
sfernandez

sfernandez

2021-07-19 20:14

manager   ~0007329

I found the bug and fix it, could you please try the following library:
https://drive.google.com/file/d/1yAlu9TS0NGHMtpN6R6ExeW_vTdqJfb1A/view?usp=sharing
stonstad

stonstad

2021-07-21 19:24

reporter   ~0007337

Thank you. I'm trying it out. Is the fix specific to editor mode only? Thanks.
sfernandez

sfernandez

2021-07-21 20:10

manager   ~0007338

Yes, this code is only executed in editor mode when domain gets reloaded for Play.

Issue History

Date Modified Username Field Change
2021-07-15 18:21 stonstad New Issue
2021-07-15 18:21 stonstad File Added: Editor.log
2021-07-15 18:21 stonstad File Added: crash.dmp
2021-07-15 18:46 sfernandez Assigned To => sfernandez
2021-07-15 18:46 sfernandez Status new => assigned
2021-07-15 18:46 sfernandez Target Version => 3.1
2021-07-15 18:46 sfernandez Description Updated
2021-07-15 19:52 stonstad Note Added: 0007325
2021-07-15 21:26 stonstad Note Edited: 0007325
2021-07-16 10:11 sfernandez Status assigned => feedback
2021-07-16 10:11 sfernandez Note Added: 0007326
2021-07-16 20:19 stonstad Status feedback => assigned
2021-07-19 20:14 sfernandez Status assigned => feedback
2021-07-19 20:14 sfernandez Note Added: 0007329
2021-07-19 20:17 sfernandez Status feedback => resolved
2021-07-19 20:17 sfernandez Resolution open => fixed
2021-07-19 20:17 sfernandez Fixed in Version => 3.1
2021-07-21 19:24 stonstad Status resolved => feedback
2021-07-21 19:24 stonstad Resolution fixed => reopened
2021-07-21 19:24 stonstad Note Added: 0007337
2021-07-21 20:10 sfernandez Note Added: 0007338